from enum import Enum
# Enums
class MessageType(str, Enum):
    TEXT = "text"
    AUDIO = "audio"


class ResponseStatus(str, Enum):
    SUCCESS = "success"
    ERROR = "error"
    PROCESSING = "processing"


class StudentNationality(str, Enum):
    EGYPTIAN = "egyptian"
    SAUDI = "saudi"


class Models(str, Enum):
    chat = "gpt-4o-mini"
    tts = "gpt-4o-mini-tts"
    embedding = "text-embedding-3-small"
    transcription = "gpt-4o-transcribe"


class StudyLanguage(Enum):
    ARABIC = "ARABIC"
    ENGLISH = "ENGLISH"